Bug 5677

Summary: <<fcatch frysk>> hangs on f8
Product: frysk Reporter: Andrew Cagney <cagney>
Component: generalAssignee: Unassigned <frysk-bugzilla>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:
Bug Depends on:    
Bug Blocks: 3361, 5675    

Description Andrew Cagney 2008-01-25 22:50:31 UTC
Thus:

t$ ../frysk-core/frysk/bindir/fcatch ./frysk/gui/FryskGuiEntered parseCommand
fcatch: from PID 28261 TID 28263:
SIGPWR(30) detected - dumping stack trace for TID 28263
#0 0x00110402 in __kernel_vsyscall () from
/home/scratch/frysk/git/native/frysk-gui/[vdso]
#1 0x000538e0 in [unknown] from /home/scratch/frysk/git/native/frysk-gui/Unknown
#2 0xf13c8001 in [unknown] from /home/scratch/frysk/git/native/frysk-gui/Unknown
SIGPWR(30) detected - dumping stack trace for TID 28261
#0 0x00110402 in __kernel_vsyscall () from
/home/scratch/frysk/git/native/frysk-gui/[vdso]
#1 0xb76005b1 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#2 0xb76009cc in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#3 0xb7600cd8 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#4 0xb7605ca0 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#5 0xb760607b in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#6 0xb7606455 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#7 0xb6bc4cd5 in _Jv_NewPrimArray () from /usr/lib/libgcj.so.8rh.0.0

0
fcatch: from PID 28261 TID 28261:
SIGWINCH(28) detected - dumping stack trace for TID 28263
#0 0x00110402 in __kernel_vsyscall () from
/home/scratch/frysk/git/native/frysk-gui/[vdso]
#1 0x000538e0 in [unknown] from /home/scratch/frysk/git/native/frysk-gui/Unknown
#2 0xf13c8001 in [unknown] from /home/scratch/frysk/git/native/frysk-gui/Unknown
SIGWINCH(28) detected - dumping stack trace for TID 28261
#0 0x00110402 in __kernel_vsyscall () from
/home/scratch/frysk/git/native/frysk-gui/[vdso]
#1 0xb76005b1 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#2 0xb76009cc in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#3 0xb7600cd8 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#4 0xb7605ca0 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#5 0xb760607b in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#6 0xb7606455 in [unknown] from /usr/lib/libgcj.so.8rh.0.0
#7 0xb6bc4cd5 in _Jv_NewPrimArray () from /usr/lib/libgcj.so.8rh.0.0
Comment 1 Sami Wagiaalla 2008-03-11 19:39:06 UTC
Fixed. 

commit 5492baa03cd955076e3b9cc5305def492de72920
Author: Sami Wagiaalla <swagiaal@redhat.com>
Date:   Mon Mar 10 16:29:44 2008 -0400

    swagiaal: converted fcatch to use ProcRunUtil.
    
    frysk-core/frysk/bindir/ChangeLog
    +2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>
    +
    +	* fcatch.java: Moved the bulk of the code to FCatch.
    +
    
    frysk-core/frysk/debuginfo/ChangeLog
    +2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>
    +
    +	* DebugInfoStackFactory.java: Added DEFAULT options.
    +
    
    frysk-core/frysk/util/ChangeLog
    +2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>
    +
    +	* FCatch.java: Now uses ProcRunUtil.
    +	* TestFCatch.java: Deleted.
    +